Subject: 24.0.50; [restore functionality] sql-mode

From: Tim Cross <[email-masked]>
Date: Wed, 21 Jul 2010 12:02:44 +1000

The way sql-mode works in emacs has changed and while some of the
changes are good, there is one major change that isn't. 

In previous versions of sql-mode, running queries and executing stored
procedures/functions from within the sql interactive buffer did not hold
system focus. If the command you executed was going to take some time to
run, you could switch to another buffer/frame and continue working, read
mail, use w3m etc. However, this has now changed. When you execute an
SQL command or call a stored procedure/function from within the SQLi
buffer, you are effectively locked out from doing anything else in emacs
until that command has completed. I'm guessing, but suspect this change
is due to the additional output processing that has been added to
sql-mode, such as translation of tabs to spaces etc. I have disabled as
many features as I can, but this has made no difference. 

I am using sql-mode to access an Oracle database using sqlplus.
Everything works as it always has with emacs 23 and this change only
occured in emacs 24 either late last year or early this year. 

Could we either have the old behavior restored or if that is not
possible and if the change is due to other new features, have a way of
turning the new features off and restoring the old behavior. I really
want to continue using sql-mode and *really* don't want to have to give
it up in favor of something far less pleasant to use than emacs! 

thanks,

Tim

In GNU Emacs 24.0.50.1 (i686-pc-linux-gnu, GTK+ Version 2.20.1)
 of 2010-07-19 on blind-mole
Windowing system distributor `The X.Org Foundation', version 11.0.10706000
configured using `configure  '--prefix=/usr/local''

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: en_AU.utf8
  value of $XMODIFIERS: nil
  locale-coding-system: utf-8-unix
  default enable-multibyte-characters: t

Major mode: SQLi[Oracle]

Minor modes in effect:
  show-paren-mode: t
  w3m-fb-mode: t
  display-time-mode: t
  shell-dirtrack-mode: t
  tooltip-mode: t
  mouse-wheel-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  size-indication-mode: t
  transient-mark-mode: t
  abbrev-mode: t

Recent input:
<return> u n e p r o <return> M-x r e p o r t - e m 
a <tab> b u <tab> <return>

Recent messages:
Restoring clock data
Loading /home/tcross/.emacs.d/org-clock-save.el (source)...done
Mapping tables: 96%
Mapping tables: 99% [3 times]
Mapping tables: done
OVERVIEW
FOLDED
(No changes need to be saved)
Emacspeak pronunciations have been re-activated in this buffer
Login...done

Load-path shadows:
/home/tcross/bzr/vm/compiler-fixes/lisp/tapestry hides /home/tcross/git/emacspeak/lisp/tapestry
/usr/share/emacs23/site-lisp/wget-el/lpath hides /usr/share/emacs/site-lisp/auctex/lpath
/usr/local/share/emacs/24.0.50/site-lisp/auctex/tex-fptex hides /usr/share/emacs/site-lisp/auctex/tex-fptex
/usr/local/share/emacs/24.0.50/site-lisp/auctex/bib-cite hides /usr/share/emacs/site-lisp/auctex/bib-cite
/usr/local/share/emacs/24.0.50/site-lisp/auctex/context-nl hides /usr/share/emacs/site-lisp/auctex/context-nl
/usr/local/share/emacs/24.0.50/site-lisp/auctex/latex hides /usr/share/emacs/site-lisp/auctex/latex
/usr/local/share/emacs/24.0.50/site-lisp/auctex/texmathp hides /usr/share/emacs/site-lisp/auctex/texmathp
/usr/local/share/emacs/24.0.50/site-lisp/auctex/font-latex hides /usr/share/emacs/site-lisp/auctex/font-latex
/usr/local/share/emacs/24.0.50/site-lisp/auctex/tex-fold hides /usr/share/emacs/site-lisp/auctex/tex-fold
/usr/local/share/emacs/24.0.50/site-lisp/auctex/multi-prompt hides /usr/share/emacs/site-lisp/auctex/multi-prompt
/usr/local/share/emacs/24.0.50/site-lisp/auctex/context hides /usr/share/emacs/site-lisp/auctex/context
/usr/local/share/emacs/24.0.50/site-lisp/auctex/context-en hides /usr/share/emacs/site-lisp/auctex/context-en
/usr/local/share/emacs/24.0.50/site-lisp/auctex/tex-bar hides /usr/share/emacs/site-lisp/auctex/tex-bar
/usr/local/share/emacs/24.0.50/site-lisp/auctex/toolbar-x hides /usr/share/emacs/site-lisp/auctex/toolbar-x
/usr/local/share/emacs/24.0.50/site-lisp/auctex/tex-info hides /usr/share/emacs/site-lisp/auctex/tex-info
/usr/local/share/emacs/24.0.50/site-lisp/auctex/tex-jp hides /usr/share/emacs/site-lisp/auctex/tex-jp
/usr/local/share/emacs/24.0.50/site-lisp/auctex/tex-font hides /usr/share/emacs/site-lisp/auctex/tex-font
/usr/local/share/emacs/24.0.50/site-lisp/auctex/tex-buf hides /usr/share/emacs/site-lisp/auctex/tex-buf
/usr/local/share/emacs/24.0.50/site-lisp/auctex/tex-mik hides /usr/share/emacs/site-lisp/auctex/tex-mik
/usr/local/share/emacs/24.0.50/site-lisp/auctex/tex hides /usr/share/emacs/site-lisp/auctex/tex
/usr/local/share/emacs/24.0.50/site-lisp/auctex/tex-style hides /usr/share/emacs/site-lisp/auctex/tex-style
/usr/share/emacs23/site-lisp/flim/hex-util hides /usr/local/share/emacs/24.0.50/lisp/hex-util
/usr/share/emacs23/site-lisp/flim/sha1 hides /usr/local/share/emacs/24.0.50/lisp/sha1
/usr/share/emacs23/site-lisp/flim/md4 hides /usr/local/share/emacs/24.0.50/lisp/md4
/home/tcross/git/emacspeak/lisp/g-client/json hides /usr/local/share/emacs/24.0.50/lisp/json
/usr/share/emacs23/site-lisp/dictionaries-common/flyspell hides /usr/local/share/emacs/24.0.50/lisp/textmodes/flyspell
/usr/share/emacs23/site-lisp/dictionaries-common/ispell hides /usr/local/share/emacs/24.0.50/lisp/textmodes/ispell
/home/tcross/.elisp/cperl-mode hides /usr/local/share/emacs/24.0.50/lisp/progmodes/cperl-mode
/usr/share/emacs23/site-lisp/flim/ntlm hides /usr/local/share/emacs/24.0.50/lisp/net/ntlm
/usr/share/emacs23/site-lisp/flim/hmac-def hides /usr/local/share/emacs/24.0.50/lisp/net/hmac-def
/usr/share/emacs23/site-lisp/flim/sasl-ntlm hides /usr/local/share/emacs/24.0.50/lisp/net/sasl-ntlm
/usr/share/emacs23/site-lisp/flim/hmac-md5 hides /usr/local/share/emacs/24.0.50/lisp/net/hmac-md5
/usr/share/emacs23/site-lisp/flim/sasl hides /usr/local/share/emacs/24.0.50/lisp/net/sasl
/usr/share/emacs23/site-lisp/flim/sasl-digest hides /usr/local/share/emacs/24.0.50/lisp/net/sasl-digest
/usr/share/emacs23/site-lisp/flim/sasl-cram hides /usr/local/share/emacs/24.0.50/lisp/net/sasl-cram

Features:
(shadow sort mail-extr emacspeak-message message rfc822 mml mml-sec
mm-decode mm-bodies mm-encode mail-parse rfc2231 rfc2047 rfc2045
ietf-drums mailabbrev mail-utils gmm-utils mailheader emacsbug
emacspeak-ansi-color ansi-color tabify org-table org-wl org-w3m org-vm
org-rmail org-mhe org-mew org-irc org-jsinfo org-infojs org-html org-exp
org-exp-blocks org-agenda org-info org-gnus org-docview org-bibtex
org-bbdb package saveplace paren server tx-fold tx-registers edmacro
emacspeak-kmacro kmacro list-register txutils tx-eudc eudcb-ldap eudc
emacspeak-eudc emacspeak-custom cus-edit cus-start eudc-vars ldap
tx-plsql plsql align emacspeak-imenu imenu tx-sql emacspeak-sql sql
assoc tx-org org-clock remember org-remember org-datetree emacspeak-org
org org-footnote org-src org-list org-faces org-compat org-entities
org-macs tx-mode-compile tx-bmk-mgr bmk-mgr-w3m emacspeak-w3m w3m-form
emacspeak-m-player emacspeak-we w3m doc-view jka-compr image-mode
w3m-hist w3m-fb w3m-ems w3m-ccl ccl w3m-favicon w3m-image w3m-proc
w3m-util emacspeak-bmk-mgr bmk-mgr emacspeak-outline foldout noutline
outline easy-mmode tc-w3m tc-timestamp tc-template emacspeak-tempo tempo
tc-keys tx-funcs tc-diary appt cal-china lunar solar cal-dst cal-bahai
cal-islam cal-hebrew holidays hol-loaddefs diary-lib diary-loaddefs
emacspeak-calendar cal-menu calendar cal-loaddefs time tc-browse-url
tc-abbrev tx-utils boxquote rect protocols services tld vm-autoloads
vm-vars vm-version generic-x emacspeak-generic generic dired-x dired-aux
emacspeak-dired emacspeak-desktop desktop dired ls-lisp debian-el
debian-el-loaddefs w3m-wget w3m-load path-util poe pym static apel-ver
product develock bbdb-autoloads preview-latex emacspeak-auctex tex-site
auto-loads emacspeak-setup emacspeak-aumix emacspeak-forms forms-mode
forms emacspeak-webspace gweb greader g-auth derived emacspeak-webmarks
emacspeak-xslt emacspeak-webutils browse-url gfeeds g-utils json url
url-proxy url-privacy url-expand url-methods url-history url-cookie
url-util timezone mailcap url-parse auth-source gnus-util url-vars
mm-util mail-prsvr emacspeak-alsaplayer emacspeak-amark
emacspeak-replace emacspeak-advice shell comint ring emacspeak-redefine
emacspeak-personality byte-opt warnings bytecomp byte-compile emacspeak
emacspeak-widget emacspeak-view emacspeak-facemenu
emacspeak-fix-interactive emacspeak-buff-menu g-cus-load cus-load
regexp-opt emacspeak-sounds emacspeak-preamble emacspeak-keymap
emacspeak-speak time-date emacspeak-pronounce dtk-speak flite-voices
dtk-unicode descr-text help-mode easymenu view dtk-interp voice-setup
dectalk-voices espeak-voices multispeech-voices outloud-voices
acss-structure emacspeak-load-path thingatpt wid-edit advice help-fns
advice-preload vc-git cl cl-19 tooltip ediff-hook vc-hooks
lisp-float-type mwheel x-win x-dnd tool-bar dnd fontset image fringe
lisp-mode register page menu-bar rfn-eshadow timer select scroll-bar
mldrag mouse jit-lock font-lock syntax facemenu font-core frame cham
georgian utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao
korean japanese hebrew greek romanian slovak czech european ethiopic
indian cyrillic chinese case-table epa-hook jka-cmpr-hook help simple
abbrev loaddefs button minibuffer faces cus-face files text-properties
overlay md5 base64 format env code-pages mule custom widget
hashtable-print-readable backquote make-network-process dbusbind
dynamic-setting system-font-setting font-render-setting gtk x-toolkit x
multi-tty emacs)

-- 
Tim Cross
Information Technology 
University of New England
 Phone: +61 2 6773 3210
Mobile: 0428 212217
   Fax: +61 2 6773 3424
E-Mail: [email-masked]
   Web: http://www.une.edu.au/itd
---
Please avoid sending me Word or PowerPoint attachments.
See http://www.gnu.org/philosophy/no-word-attachments.html

"Social Engineering - because there is no patch for human stupidity."

Never provide your password via email. UNE will never request it and any
organisation that does is not one you want to do business with. Any email that
appears to be from UNE and requests your password is a fake and should never
be responded to. Delete it.